> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Unblock an operator for endpoint

> Remove an operator from the endpoint blacklist.



## OpenAPI

````yaml /generated/specs/diagnostics.json delete /api/v1/emnify/endpoint/{endpointId}/block-operator/{operatorId}
openapi: 3.0.0
info:
  title: Raul API - Diagnostico
  description: Health, consumo, conectividad, SIMs, webhooks fallidos y estados tecnicos.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/emnify/endpoint/{endpointId}/block-operator/{operatorId}:
    delete:
      tags:
        - Endpoint Management
      summary: Unblock an operator for endpoint
      description: Remove an operator from the endpoint blacklist.
      operationId: EndpointOperatorsController_unblockOperator
      parameters:
        - name: endpointId
          required: true
          in: path
          description: Emnify endpoint ID
          schema:
            type: number
        - name: operatorId
          required: true
          in: path
          description: Operator ID to unblock
          schema:
            type: number
      responses:
        '200':
          description: Operator unblocked successfully
        '500':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmnifyErrorDto'
      security:
        - bearerAuth: []
components:
  schemas:
    EmnifyErrorDto:
      type: object
      properties:
        error:
          type: string
        message:
          type: string
        details:
          type: string
      required:
        - error
        - message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Token de sesión Better Auth para rutas de backoffice; las rutas de
        portal usan su token propio.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.